config/routes.rb
Rails.application.routes.draw do
  scope '(:locale)', locale: /en|vi/ do
    get 'sessions/new'
    get 'sessions/create'
    get 'sessions/destroy'

    root 'static_pages#home'
    get '/help', to: 'static_pages#help'
    get '/about', to: 'static_pages#about'
    get '/contact', to: 'static_pages#contact'

    get '/signup', to: 'users#new'
    post '/signup', to: 'users#create'
    get '/login', to: 'sessions#new'
    post '/login', to: 'sessions#create'
    delete '/logout', to: 'sessions#destroy'

    get 'users/new'
    resources :users

    resources :users, only: %i[new create show]
    resources :account_activations, only: :edit
    resources :password_resets, only: %i[new create edit update]
    resources :microposts, only: %i[create destroy]
  end
end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <small>
    <%= link_to t(".content"), Settings.link.link_tutorial %>
    <%= link_to t(".author"), Settings.link.layouts.footer.link_author %>
  </small>
  <nav>
    <ul>
      <li><%= link_to t(".about"), about_path %></li>
      <li><%= link_to t(".contact"), contact_path %></li>
      <li><%= link_to t(".news"), Settings.link.layouts.footer.link_news %></li>
    </ul>
  </nav>
</footer>

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">
  <div class="container">
    <%= link_to t(".sample_app"), root_path, id: t("layouts.id.logo") %>
    <nav>
      <ul class="nav navbar-nav navbar-right">
        <li><%= link_to t(".home"), root_path %></li>
        <li><%= link_to t(".help"), help_path %></li>
        <% if logged_in? %>
          <li><%= link_to t(".users"), users_path %></li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              Account <b class="caret"></b>
            </a>
            <ul class="dropdown-menu">
              <li><%= link_to t(".profile"), current_user %></li>
              <li><%= link_to t(".setting"), edit_user_path(current_user) %></li>
              <li class="divider"></li>
              <li>
                <%= link_to t(".logout"), logout_path, method: :delete %>
              </li>
            </ul>
          </li>
        <% else %>
          <li><%= link_to t(".login"), login_path %></li>
        <% end %>
      </ul>
    </nav>
  </div>
</header>

app/views/layouts/_shim.html.erb
<!--[if lt IE 9]>
<script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js">
</script>
<![endif]-->

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title><%= full_title(yield(:title)) %></title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>
  <%= stylesheet_link_tag 'application', media: 'all',
                          'data-turbolinks-track': 'reload' %>
  <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  <!--[if lt IE 9]>
  <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js"></script>
  <![endif]-->
  <%= render 'layouts/shim' %>
</head>
<body>
<%= render 'layouts/header' %>
<div class="container">
  <% flash.each do |message_type, message| %>
    <div class="alert alert-<%= message_type %>"><%= message %></div>
  <% end %>
  <%= yield %>
  <%= link_to t(".english"), locale: t(".en") %>
  <%= link_to t(".vietnamese"), locale: t(".vi") %>
  <%= render 'layouts/footer' %>
  <%= debug(params) if Rails.env.development? %>
</div>
</body>
</html>